Bug 1016740 - Incorrect handling of special characters when using the getNodes() and getProperties() methods
Incorrect handling of special characters when using the getNodes() and getPro...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 11:23 EDT by Horia Chiorean
Modified: 2016-02-10 03:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:51:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2069 Critical Closed Incorrect regexp parsing when retrieving nodes via the node.getNodes() method 2014-02-18 07:30:04 EST

  None (edit)
Description Horia Chiorean 2013-10-08 11:23:48 EDT
See linked issue for more details.
Comment 1 JBoss JIRA Server 2013-10-10 08:57:34 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2069

Fixed the regex parsing of characters for the getNodes() and getProperties() methods.
Comment 2 JBoss JIRA Server 2013-10-10 11:59:41 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2069

Merged into the 'master' branch. Leaving open until it is cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 5 JBoss JIRA Server 2013-10-24 05:22:13 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2069 to Closed
Comment 6 belong 2013-11-17 22:05:05 EST
Fixed before GA of major release - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.